module.exports = (db, DataTypes) => {
  return db.define("bmorder", {
    merchantId: DataTypes.INTEGER,
    companyId: DataTypes.INTEGER,
    userId: DataTypes.INTEGER,
    orderNo: DataTypes.STRING(100),
    status: DataTypes.INTEGER,
    name: DataTypes.STRING(100),
    ownerId: DataTypes.INTEGER,
  }, {
    paranoid: true, //假的删除
    underscored: true,
    version: true,
    freezeTableName: true,
    //freezeTableName: true,
    // define the table's name
    tableName: 'bm_order',
    validate: {}
  });
}